LIBGPSMM(3)

NAME
libgpsmm - C++ class wrapper for the GPS daemon

SYNOPSIS

C++:

#include <libgpsmm>

struct gps_data_t *open (char *host, char *port);

struct gps_data_t *open (void);

struct gps_data_t *query (char *request);

struct gps_data_t *poll (void);

int set_callback (void (*hook)(struct gps_data_t *sentence, char *buf));

int del_callback (void);

DESCRIPTION

libgpsmm is a mere wrapper over libgps. Method names are the same as the analogue C functions. For a detailed description of the functions please read libgps(3). open() must be called after class constructor and before any other method (open() is not inside the constructor since it may fail, however constructors have no return value). The analogue of the C function gps_close() is in the destructor.

SEE ALSO

 gpsd(8), gps(1), libgps(3).

AUTHOR

Alfredo Pironti <alfredio@users.sourceforge.net>.